destroy_suspended_device
Prev | Device Drivers Base | Next

## Name

destroy_suspended_device — asks the PM core to remove a suspended device

## Synopsis

`void destroy_suspended_device (` | struct class * | class,
| dev_t | devt`)`;

## Arguments

`class`

  pointer to the struct class that this device was registered with

`devt`

  the dev_t of the device that was previously registered

## Description

This call notifies the PM core of the necessity to unregister a suspended device created with a call to `device_create` (devices cannot be unregistered directly while suspended, since the PM core holds their semaphores at that time).

It can only be called within the scope of a system sleep transition. In practice this means it has to be directly or indirectly invoked either by a suspend or resume method, or by the PM core (e.g. via `disable_nonboot_cpus` or `enable_nonboot_cpus`).

Prev | Up | Next
device_destroy | Home | device_rename